Runtime

## org.eclipse.gmf.runtime.common.core.util
Interface IAdaptableSelection

All Superinterfaces:
  IAdaptable

    public interface IAdaptableSelection

extends IAdaptable

A common tag interface that is supported by viewers that want to enable access to their selection.

API clients should not implement this interface.

API clients typically use the interface when implementing selectionChanged methods in IActionDelegate.

Example:

            public void selectionChanged(IAction action, final ISelection selection) {

                    if (selection instanceof IStructuredSelection) {

                            IStructuredSelection structuredSelection = (IStructuredSelection) selection;

                            Object firstSelection = structuredSelection.getFirstElement();

                            if (firstSelection instanceof IAdaptableSelection) {

                                    myExpectedObject = (...) ((IAdaptableSelection) firstSelection).getAdapter( ... );
                            }
                    }
       }

Method Summary

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.